Bug 150765

Summary: [Maintainer Update] Give sysutils/radmind its own UID/GID
Product: Ports & Packages Reporter: mikeg
Component: Individual Port(s)Assignee: Olli Hauer <ohauer>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff
none
radmind.patch.txt none

Description mikeg 2010-09-20 20:30:01 UTC
These patches update the sysutils/radmind port to run as a non-root user, for the sundry and obvious reasons why doing so would be a good idea.

radmind-uidgid.patch.txt contains the changes to ports/UIDs & ports/GIDs (Claimed UID/GID# 506)

radmind.patch.txt contains the changes to the radmind port itself, including a pkg-message noting the change, which can go away after a suitable transition period.


These patches generate no additional portlint issues, and both the port & package passed basic build/install testing.

Fix: Patch attached with submission follows:
Comment 1 michael.graziano 2010-09-20 20:40:15 UTC
Second patch (the changes to the port itself)
Comment 2 Philip M. Gollucci freebsd_committer 2010-09-22 23:54:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-24 07:25:04 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 4 Olli Hauer freebsd_committer 2010-11-27 22:15:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it
Comment 5 dfilter service freebsd_committer 2010-11-27 22:33:21 UTC
ohauer      2010-11-27 22:33:16 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Log:
   - add radmind with uid/gid 506 for port sysutils/radmind
  
    The port will run in future with this user instead root
  
  PR:             150765
  Submitted by:   Michael Graziano <mikeg _at_ bsd-box.net> (maintainer)
  
  Revision  Changes    Path
  1.116     +2 -1      ports/GIDs
  1.129     +2 -1      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2010-11-28 23:50:59 UTC
ohauer      2010-11-28 23:50:54 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/radmind     Makefile distinfo pkg-plist 
    sysutils/radmind/files radmind.sh.in 
  Added files:
    sysutils/radmind/files pkg-install.in pkg-message.in 
  Log:
   - give sysutils/radmind its own UID/GID
   - add pkg-message
   - add pkg-install script for user/group creation if installed
     from package since the installation use "chown"
   - bump portrevision
  
  PR:             ports/150765
  Submitted by:   Michael Graziano <mikeg _at_ bsd-box.net> (maintainer)
  
  Revision  Changes    Path
  1.21      +13 -5     ports/sysutils/radmind/Makefile
  1.18      +0 -1      ports/sysutils/radmind/distinfo
  1.1       +43 -0     ports/sysutils/radmind/files/pkg-install.in (new)
  1.1       +16 -0     ports/sysutils/radmind/files/pkg-message.in (new)
  1.4       +4 -2      ports/sysutils/radmind/files/radmind.sh.in
  1.8       +1 -0      ports/sysutils/radmind/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2010-11-28 23:54:41 UTC
ohauer      2010-11-28 23:54:37 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
  Log:
   - add note about sysutils/radmind new UID/GID
  
  PR:             ports/150765
  Submitted by:   Michael Graziano <mikeg _at_ bsd-box.net> (maintainer)
  
  Revision  Changes    Path
  1.997     +8 -1      ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Olli Hauer freebsd_committer 2010-11-29 00:03:22 UTC
State Changed
From-To: open->closed

committed with minor changes. 

I've added a pkg-install script which is needed only 
during installation from package. 

Thanks!